Đến nội dung


Hình ảnh
- - - - -

[Hỏi] Lisp thao tác trong 3D


  • Please log in to reply
115 replies to this topic

#21 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 13 June 2011 - 10:01 PM

Giờ thì em đã biết thêm một lệnh mới!
Nhưng cái này em đã nói là cho trục trước mà anh. Trục là là một đường trong 3D, nếu muốn vẽ các hình tròn và hình vuông vuông góc với trục đó, hơn nữa cạnh hình vuông lại phải vuông góc với trục định hướng, thì có lẽ là phải đổi trục tọa độ. Lisp em viết với mục đích như vậy, gộp mấy lệnh của AutoCAD lại với nhau đấy ạ!

Từ AutoCAD2007 đã có lệnh vẽ ống trụ và ống vuông, tên lệnh là: Polysolid
_Polysolid Specify start point or [Object/Height/Width/Justify]
<Object>:
Lệnh này cho phép ta lựa chọn H: nhập chiều dài ống, lựa chọn W: nhập độ dầy ống...

Hình đã gửi

Từ AutoCAD2007 đã có lệnh Sweep, lệnh này tương tự như lệnh Extrude, chỉ có sự khác biệt là không cần hình tròn và vuông phải vuông góc với trục dẫn!

Chốt lại chỉ cần ứng dụng 1 trong 2 lệnh: hoặc dùng lệnh Polysolid , hoặc dùng lệnh Sweep một cách hợp lý, không cần phải gắn hệ trục toạ độ USC, công việc của anh Pdle sẽ được thực hiện nhanh hơn lisp gấp nhiều lần!
  • 1

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#22 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 13 June 2011 - 10:45 PM

Hình đã gửi

Từ AutoCAD2007 đã có lệnh Sweep, lệnh này tương tự như lệnh Extrude, chỉ có sự khác biệt là không cần hình tròn và vuông phải vuông góc với trục dẫn!

Chốt lại chỉ cần ứng dụng 1 trong 2 lệnh: hoặc dùng lệnh Polysolid , hoặc dùng lệnh Sweep một cách hợp lý, không cần phải gắn hệ trục toạ độ USC, công việc của anh Pdle sẽ được thực hiện nhanh hơn lisp gấp nhiều lần!

Cám ơn anh hoan2182, em sẽ tham khảo :D
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#23 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 14 October 2011 - 10:02 AM

MẤY cái lisp này mấy anh và chú phòng mình viết cách đây 4 năm rồi, vẽ cả được thép chữ I, L theo tiêu chuẩn Mỹ ASTM, API. vẽ thép ống dàn khoan dầu khí chỉ mất 10s với đúng i thao tác: kích ký hiệu lệnh, chọn layer => xong!!! xem file: ống chiều dày t ở giá cập tàu, ống vỏ mỏng ở phía trên và ống đặc ở phía dưới, file này là vẽ cho vui thôi ^^ http://www.mediafire...4opus77kltz4m3e
  • 0

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 October 2011 - 10:07 AM

MẤY cái lisp này mấy anh và chú phòng mình viết cách đây 4 năm rồi, vẽ cả được thép chữ I, L theo tiêu chuẩn Mỹ ASTM, API. vẽ thép ống dàn khoan dầu khí chỉ mất 10s với đúng i thao tác: kích ký hiệu lệnh, chọn layer => xong!!!

Có gì lạ đâu :o
Chỉ lạ khi bạn public nó thôi :D
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 14 October 2011 - 11:04 AM

Có gì lạ đâu :o Chỉ lạ khi bạn public nó thôi :D

vậy bạn thử viết cho mình xin 1 cái thử đc ko?
bài toán đặt ra: vẽ layer có tên W24x18, W12x40 hoặc bất kỳ(khoảng 320 loại , không theo quy luật) , dùng lisp 1 lệnh vẽ đúng thép W trong tiêu chuẩn ASTM ( chiều cao, rông, chiều dày, bán kính cong hàn...) , vẽ 1 lúc nhiều thanh trong không gian và tên khác nhau chỉ mất 5-7s.
  • 0

#26 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 October 2011 - 11:13 AM

vậy bạn thử viết cho mình xin 1 cái thử đc ko?
bài toán đặt ra: vẽ layer có tên W24x18, W12x40 hoặc bất kỳ(khoảng 320 loại , không theo quy luật) , dùng lisp 1 lệnh vẽ đúng thép W trong tiêu chuẩn ASTM ( chiều cao, rông, chiều dày, bán kính cong hàn...) , vẽ 1 lúc nhiều thanh trong không gian và tên khác nhau chỉ mất 5-7s.

Thực ra thì cái này không quá khó đâu. Tôi đã viết lệnh vẽ thép góc này cách đây còn lâu hơn thế.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#27 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 October 2011 - 11:15 AM

vậy bạn thử viết cho mình xin 1 cái thử đc ko?
bài toán đặt ra: vẽ layer có tên W24x18, W12x40 hoặc bất kỳ(khoảng 320 loại , không theo quy luật) , dùng lisp 1 lệnh vẽ đúng thép W trong tiêu chuẩn ASTM ( chiều cao, rông, chiều dày, bán kính cong hàn...) , vẽ 1 lúc nhiều thanh trong không gian và tên khác nhau chỉ mất 5-7s.

Tại sao mình lại phải viết cho bạn ? Vì một câu thách thức đó à :D Chẳng phải chuyên ngành của mình, cũng không phải lĩnh vực mình hứng thú, và lý do thì lại càng không.
Mình không đề cập đến vấn đề lisp mà bạn đang nói công phu hay không, mà là vì cách bạn giới thiệu nó không để làm gì cả. Hãy đọc lại tên TOPIC :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#28 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 14 October 2011 - 07:44 PM

MẤY cái lisp này mấy anh và chú phòng mình viết cách đây 4 năm rồi, vẽ cả được thép chữ I, L theo tiêu chuẩn Mỹ ASTM, API. vẽ thép ống dàn khoan dầu khí chỉ mất 10s với đúng i thao tác: kích ký hiệu lệnh, chọn layer => xong!!! xem file: ống chiều dày t ở giá cập tàu, ống vỏ mỏng ở phía trên và ống đặc ở phía dưới, file này là vẽ cho vui thôi ^^ http://www.mediafire...4opus77kltz4m3e

- Không biết lisp của anh có mấy bước thao tác???

- Xem hình vẽ của anh thấy kết cấu của nó gồm các hình trụ tròn đặc có đường tâm, mấy cái hình thép V và I vuông chằn chặn chẳng có bán kính góc lượn gì cả, sao anh lại bảo là theo tiêu chuẩn ASTM, API???

- Chỉ cần dùng CAD2007 đã có thể vẽ nhanh được hình vẽ của anh, không cần phải dùng lisp! (lệnh Polysolid vẽ được ống tròn, ống vuông; lệnh Cylinder vẽ thép trụ tròn; lệnh Sweep vẽ được hình có mặt cắt ngang bất kỳ không tuân theo qua luật nào)





  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#29 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 01 November 2011 - 05:00 PM

- Không biết lisp của anh có mấy bước thao tác???

- Xem hình vẽ của anh thấy kết cấu của nó gồm các hình trụ tròn đặc có đường tâm, mấy cái hình thép V và I vuông chằn chặn chẳng có bán kính góc lượn gì cả, sao anh lại bảo là theo tiêu chuẩn ASTM, API???

- Chỉ cần dùng CAD2007 đã có thể vẽ nhanh được hình vẽ của anh, không cần phải dùng lisp! (lệnh Polysolid vẽ được ống tròn, ống vuông; lệnh Cylinder vẽ thép trụ tròn; lệnh Sweep vẽ được hình có mặt cắt ngang bất kỳ không tuân theo qua luật nào)

Tức là thế này, ý em chỉ là cái hình vẽ chỉ là ý nói vẽ được các loại ống khác nhau với lại e bảo là vẽ cho vui mà ,hihi. còn thực tế nếu vẽ một kết cấu nhưu hình với lưu ý là khoảng cách các ống không phải đồng quy (vì đồng quy thì dễ quá ) tại tâm mà mép ống tại các nút đều phải cách nhau một khoảng 50 đến 100mm, và cắt tỉa gọn gàng các đoạn giao nhau như hình vẽ mà dùng từng lệnh như anh bảo thì hết bao lâu, nếu dùng lisp thì khoảng 30 phút là xong đấy anh. tiêc là một số lisp bị mã hóa nên ko biết dc nhiều ^^
@ Doan Van Ha: anh có thể cho em xin lisp vẽ thép hình của anh được không ạ, nếu cần e sẽ trả phí cho anh được không ạ, tại hiên tai đang cần cái này mà bị mã hóa mất, hic có gì a alo xuanhaoxd@gmail.com giúp e với nhé :)
  • 0

#30 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 01 November 2011 - 06:37 PM

Trong khi chờ lisp anh thử làm theo cách sau:
- Vẽ các đường tâm có chiều dài bằng chiều dài của ống.
- Vẽ các mặt cắt của ống, không cần phải vuông góc với đường tâm.
- Dùng lệnh Sweep để tạo ống, nếu các ống không đâm vào nhau coi như xong, không cần phải thêm lệnh nào nữa. Nếu các ống chui vào nhau dùng lênh Union quét chọn tất cả các đối tượng cũng nhanh lắm!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#31 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 01 November 2011 - 07:46 PM

Tức là thế này, ý em chỉ là cái hình vẽ chỉ là ý nói vẽ được các loại ống khác nhau với lại e bảo là vẽ cho vui mà ,hihi. còn thực tế nếu vẽ một kết cấu nhưu hình với lưu ý là khoảng cách các ống không phải đồng quy (vì đồng quy thì dễ quá ) tại tâm mà mép ống tại các nút đều phải cách nhau một khoảng 50 đến 100mm, và cắt tỉa gọn gàng các đoạn giao nhau như hình vẽ mà dùng từng lệnh như anh bảo thì hết bao lâu, nếu dùng lisp thì khoảng 30 phút là xong đấy anh. tiêc là một số lisp bị mã hóa nên ko biết dc nhiều ^^
@ Doan Van Ha: anh có thể cho em xin lisp vẽ thép hình của anh được không ạ, nếu cần e sẽ trả phí cho anh được không ạ, tại hiên tai đang cần cái này mà bị mã hóa mất, hic có gì a alo xuanhaoxd@gmail.com giúp e với nhé :)

Hề hề hề,
Đọc riết rồi chả hiểu bạn này muốn cái chi nữa???
Muốn khoe cái lisp của các anh các chú hay muốn mọi người giúp cho bạn có được cái lisp của các anh các chú ấy???
Nếu muốn khoe thì hãy post cái lisp ấy lên để mọi người có dịp mót. (cho dù chửa chắc đã mót được cái chi vì như bạn nói nó đã được mã hóa gì gì đó rồi.)
Muốn mọi người viết giùm thì hãy post cụ thể cái yêu cầu bạn cần lên.
Có thể cái yêu cầu đó là quá khó thì mọi người sẽ cùng trao đổi để thực hiện, Còn nếu không quá khó thì có thể sẽ nhanh có lisp bạn cần thôi.
Biển học là bao la, chớ có quá tự tin và cũng chả nên tư ti làm gì, nếu muốn hãy chịu khó đi mót thì cũng sẽ từ từ đạt tới cái mình cần thôi mà.
Hề hề hề,....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#32 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 02 November 2011 - 02:03 PM

Hề hề hề,
Đọc riết rồi chả hiểu bạn này muốn cái chi nữa???
Muốn khoe cái lisp của các anh các chú hay muốn mọi người giúp cho bạn có được cái lisp của các anh các chú ấy???
Nếu muốn khoe thì hãy post cái lisp ấy lên để mọi người có dịp mót. (cho dù chửa chắc đã mót được cái chi vì như bạn nói nó đã được mã hóa gì gì đó rồi.)
Muốn mọi người viết giùm thì hãy post cụ thể cái yêu cầu bạn cần lên.
Có thể cái yêu cầu đó là quá khó thì mọi người sẽ cùng trao đổi để thực hiện, Còn nếu không quá khó thì có thể sẽ nhanh có lisp bạn cần thôi.
Biển học là bao la, chớ có quá tự tin và cũng chả nên tư ti làm gì, nếu muốn hãy chịu khó đi mót thì cũng sẽ từ từ đạt tới cái mình cần thôi mà.
Hề hề hề,....


hihi!! cảm ơn những lời của anh phamthanhbinh, thực sự là vừa muốn khoe cái lisp không phải của mình vì thực sự rất hay (nhưng muốn học thì thực sự khó vì chú này cực kỳ ...., dùng hẳn key luôn) , vừa là muốn được các anh giúp để có được vài lisp như vậy vì lisp hiện tại đã hết hạn sử dụng, :),
nếu được các anh giúp đỡ như a thanhbinh nói thì tốt quá, em xin nhờ các a viết hộ em cái lisp là: sau khi vẽ xong các ống rỗng bề dày t giao nhau tại các nút (ống chủ đường kính lớn hơn hoặc bằng các ống nhánh đâm vào), bằng một lệnh hoặc 1 thao tác có thể quét cả kết cấu thì các thanh tự động cắt bỏ phần thừa (kể cả phần ko giao nhau nằm trong phần rỗng của ống chủ ). một cái nữa là nhờ các anh viết giúp em cái lisp vẽ thép chử L hoặc W theo tên layer vd như W24x76 chẳng hạn.
em xin cảm ơn các anh rất nhiều

Bạn xuanhaoxd đọc lại nội quy box nhé

Bài viết đã được chỉnh sửa nội dung bởi ketxu: 02 November 2011 - 02:08 PM
Yêu cầu sai địa chỉ, thiếu rõ ràng

  • 0

#33 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 November 2011 - 02:47 PM

Tiếc là phần vẽ thép góc của tôi nó nằm trong 1 chương trình chung cho nhiều vấn đề, đã chuyển qua vlx, trong khi các file lsp và dcl liên quan thì tìm mãi không ra, nên post lên cho bạn cái đơn giản nhất: vẽ tiết diện thép góc theo TCVN. Từ tiết diện này bạn có thể dùng thêm lệnh Sweep để vẽ nó trong không gian như bạn Hoan2182 đã hướng dẫn, hoặc bạn nào rảnh thì có thể giúp bạn viết bằng lisp vậy.
Thân thương!

;Doan Van Ha CADViet.com
;---------- V&#207; ti&#213;t di&#214;n th&#208;p g&#227;c chung.
(defun C:VTG()
(setq batdiem (getvar "osmode")) (setvar "cmdecho" 0) (command "undo" "be")
(setq pgoc (getpoint "\nDiem goc thep: "))
(setvar "osmode" 0)
(setq br (getint "\nBe rong thep: "))
(setq bd (getint "\nChieu day thep: "))
(initget "1 2 3 4")
(setq kieu (getkword "\nChon kieu ve: 1/2/3/4 <1>: "))
(if (not kieu) (setq kieu "1"))
(VTG pgoc br bd)
(cond ((= kieu "1") (command "rotate" (entlast) "" pgoc 0))
((= kieu "2") (command "rotate" (entlast) "" pgoc 90))
((= kieu "3") (command "rotate" (entlast) "" pgoc 180))
((= kieu "4") (command "rotate" (entlast) "" pgoc 270)))
(command "undo" "e") (setvar "osmode" batdiem) (setvar "osmode" batdiem) (princ))
;---------- V&#207; th&#208;p g&#227;c.
(defun VTG(pgoc br bd)
(setq bk (BKC br))
(setq p1 (polar pgoc 0 br))
(setq p2 (polar p1 (* 0.75 pi) (* (sqrt 2) bd)))
(setq p3 (polar p2 pi (- br (* 2 bd) bk)))
(setq p4 (polar p3 (* 0.75 pi) (* (sqrt 2) bk)))
(setq p5 (polar p4 (* 0.5 pi) (- br (* 2 bd) bk)))
(setq p6 (polar p5 (* 0.75 pi) (* (sqrt 2) bd)))
(command "pline" pgoc "w" 0 0 p1 "arc" "angle" 90 p2 "line" p3 "arc" "angle" -90 p4 "line" p5 "arc" "angle" 90 p6 "line" pgoc ""))
;-------------------- X&#184;c &#174;&#222;nh b&#184;n k&#221;nh cong theo b&#210; r&#233;ng th&#208;p.
(defun BKC(br)
(cond ((= br 20) (setq bk 3.5)) ((= br 25) (setq bk 3.5)) ((= br 28) (setq bk 4.0))
((= br 30) (setq bk 4.0)) ((= br 32) (setq bk 4.5)) ((= br 36) (setq bk 4.5))
((= br 40) (setq bk 5.0)) ((= br 45) (setq bk 5.0)) ((= br 50) (setq bk 5.5))
((= br 56) (setq bk 6.0)) ((= br 60) (setq bk 6.5)) ((= br 63) (setq bk 7.0))
((= br 65) (setq bk 8.5)) ((= br 70) (setq bk 8.0)) ((= br 75) (setq bk 9.0))
((= br 80) (setq bk 9.0)) ((= br 90) (setq bk 10.0)) ((= br 100) (setq bk 12.0))
((= br 110) (setq bk 12.0)) ((= br 120) (setq bk 12.0)) ((= br 125) (setq bk 14.0))
((= br 130) (setq bk 12.0)) ((= br 140) (setq bk 14.0)) ((= br 150) (setq bk 14.0))
((= br 160) (setq bk 16.0)) ((= br 175) (setq bk 15.0)) ((= br 180) (setq bk 16.0))
((= br 200) (setq bk 18.0)) ((= br 220) (setq bk 21.0)) ((= br 250) (setq bk 24.0))))
;-----------------------------------------------------------------------------------------------

  • 3

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#34 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 November 2011 - 09:22 AM

Tiếc là phần vẽ thép góc của tôi nó nằm trong 1 chương trình chung cho nhiều vấn đề, đã chuyển qua vlx, trong khi các file lsp và dcl liên quan thì tìm mãi không ra, nên post lên cho bạn cái đơn giản nhất: vẽ tiết diện thép góc theo TCVN. Từ tiết diện này bạn có thể dùng thêm lệnh Sweep để vẽ nó trong không gian như bạn Hoan2182 đã hướng dẫn, hoặc bạn nào rảnh thì có thể giúp bạn viết bằng lisp vậy.
Thân thương!


;---------- V&#207; ti&#213;t di&#214;n th&#208;p g&#227;c chung.
(defun C:VTG()
(setq batdiem (getvar "osmode")) (setvar "cmdecho" 0) (command "undo" "be")
(setq pgoc (getpoint "\nDiem goc thep: "))
(setvar "osmode" 0)
(setq br (getint "\nBe rong thep: "))
(setq bd (getint "\nChieu day thep: "))
(initget "1 2 3 4")
(setq kieu (getkword "\nChon kieu ve: 1/2/3/4 <1>: "))
(if (not kieu) (setq kieu "1"))
(VTG pgoc br bd)
(cond ((= kieu "1") (command "rotate" (entlast) "" pgoc 0))
((= kieu "2") (command "rotate" (entlast) "" pgoc 90))
((= kieu "3") (command "rotate" (entlast) "" pgoc 180))
((= kieu "4") (command "rotate" (entlast) "" pgoc 270)))
(command "undo" "e") (setvar "osmode" batdiem) (setvar "osmode" batdiem) (princ))
;---------- V&#207; th&#208;p g&#227;c.
(defun VTG(pgoc br bd)
(setq bk (BKC br))
(setq p1 (polar pgoc 0 br))
(setq p2 (polar p1 (* 0.75 pi) (* (sqrt 2) bd)))
(setq p3 (polar p2 pi (- br (* 2 bd) bk)))
(setq p4 (polar p3 (* 0.75 pi) (* (sqrt 2) bk)))
(setq p5 (polar p4 (* 0.5 pi) (- br (* 2 bd) bk)))
(setq p6 (polar p5 (* 0.75 pi) (* (sqrt 2) bd)))
(command "pline" pgoc "w" 0 0 p1 "arc" "angle" 90 p2 "line" p3 "arc" "angle" -90 p4 "line" p5 "arc" "angle" 90 p6 "line" pgoc ""))
;-------------------- X&#184;c &#174;&#222;nh b&#184;n k&#221;nh cong theo b&#210; r&#233;ng th&#208;p.
(defun BKC(br)
(cond ((= br 20) (setq bk 3.5)) ((= br 25) (setq bk 3.5)) ((= br 28) (setq bk 4.0))
((= br 30) (setq bk 4.0)) ((= br 32) (setq bk 4.5)) ((= br 36) (setq bk 4.5))
((= br 40) (setq bk 5.0)) ((= br 45) (setq bk 5.0)) ((= br 50) (setq bk 5.5))
((= br 56) (setq bk 6.0)) ((= br 60) (setq bk 6.5)) ((= br 63) (setq bk 7.0))
((= br 65) (setq bk 8.5)) ((= br 70) (setq bk 8.0)) ((= br 75) (setq bk 9.0))
((= br 80) (setq bk 9.0)) ((= br 90) (setq bk 10.0)) ((= br 100) (setq bk 12.0))
((= br 110) (setq bk 12.0)) ((= br 120) (setq bk 12.0)) ((= br 125) (setq bk 14.0))
((= br 130) (setq bk 12.0)) ((= br 140) (setq bk 14.0)) ((= br 150) (setq bk 14.0))
((= br 160) (setq bk 16.0)) ((= br 175) (setq bk 15.0)) ((= br 180) (setq bk 16.0))
((= br 200) (setq bk 18.0)) ((= br 220) (setq bk 21.0)) ((= br 250) (setq bk 24.0))))
;-----------------------------------------------------------------------------------------------

em cảm ơn anh nhiều nha, trước giờ em vẫn làm như a Hoan2182 bảo nhưng phải làm từng phần tử rồi cắt tỉa từng cái rất mất thời gian,hehe, lisp của a chưa thể dùng nhưng chỉnh sửa một chút và viết thêm một chút cũng có thể giúp em được một ít, thanks a
  • 0

#35 BANGNHAN87

BANGNHAN87

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 February 2012 - 05:21 PM

Ý tưởng ứng dụng lisp vẽ 3D rất đáng được thưởng lớn, em đã bật đèn xanh (+) cho ý tưởng này.
Với điều kiện anh đã đặt ra:
(-Vẽ một ống hình trụ, điều kiện cho trước là trục ống, bán kính ngoài và bán kính trong của ống
-Vẽ một ống tiết diện vuông, điều kiện cho trước là trục ống, kích thước ngoài của ống và độ dày thành ống)
Lại còn kèm theo cả điều kiện có trục ống nữa chắc chắn là lisp không vẽ nhanh bằng lệnh vẽ thông thường:
Vẽ ống trụ:
-Gõ CYL (vẽ hình trụ đặc) > chọn tâm > nhập R > H > vẽ xong hình trụ to > Enter > chọn tâm > nhập r > không cần nhập H >Enter > vẽ được hình trụ to
-Gõ lệnh SU để trừ khối
Vẽ ống vuông:
- Vẽ hai hình vuông
- Gõ lệnh EXT > Quét chọn cả 2 hình vuông> nhập chiều cao> được luôn 2 hình hộp.
-Gõ lệnh SU để trừ khối

Đối với hình trụ đặc vẽ bằng CYL , hình hộp đặc vẽ bằng lệnh BOX có thể kéo co tuỳ thích làm cho nó to, nhỏ, dài ngắn một cách tiện lợi. Hình ống tròn và ống vuông thì lại không thể co kéo được, mà lệnh Stretch lại không can thiệp được với hình 3D.
Từ thực tế trên, căn cứ vào hai cái ống trụ và ống vuông em xin trân trọng kính mời anh Pdle cũng các bác vào diễn đàn tìm cách co kéo làm cho cái ống của anh Pdle nó dài ra và to lên! Rất hân hạnh có sự hiện diện của lisp Stretch3D trên Topic này!

cái lệnh này hay quá! cảm ơn bạn nhiều lắm! bạn biết lệnh nào vẽ co 3D nhanh không bạn?
  • 0

#36 Hai_YenLang

Hai_YenLang

    biết lệnh explore

  • Members
  • PipPipPipPipPipPip
  • 473 Bài viết
Điểm đánh giá: 149 (tàm tạm)

Đã gửi 13 February 2012 - 10:04 PM

cái lệnh này hay quá! cảm ơn bạn nhiều lắm! bạn biết lệnh nào vẽ co 3D nhanh không bạn?

Vẽ ống trụ và ống vuông như các lệnh trên là chậm, muốn vẽ nhanh phải dùng lệnh PLYSOLID. Cách dùng lệnh này bạn Hoan2182 đã nói trong trang 33, mục đố vui - Mẹo sự sử dụng AutoCAD
  • 0
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Người cảnh sát điều tra hình sự giỏi là người biết được tất cả những hành vi thủ đoạn trộm cắp của bọn trộm cắp, nhưng lại dốt ăn cắp ăn trộm ...

#37 xuanhaoxd

xuanhaoxd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 14 February 2012 - 09:52 AM

Lệnh sweep mà a hoan2182 đã nói ở trên cũng có thể vẽ 3D rất tốt, không những vẽ được ống tròn, vuông mà vẽ đươc cả tiết diện bất kỳ như chữ I, L hay chữ H,...
Lưu ý là sau khi vẽ tiết diện dùng lệnh region (reg) để đưa về tiết diện là tấm thì khi tạo ra các thanh 3D sẽ tự bắt trục tại trọng tâm của tiết diện. Nếu ko dùng lệnh reg thì sẽ không bắt trục đúng trọng tâm của tiết diện mình tạo ra
Để dùng được lệnh reg cần tạo một miền kín bằng lệnh boundary (bo) hoặc pedit (pe)
  • 0

#38 Hai_YenLang

Hai_YenLang

    biết lệnh explore

  • Members
  • PipPipPipPipPipPip
  • 473 Bài viết
Điểm đánh giá: 149 (tàm tạm)

Đã gửi 14 February 2012 - 12:36 PM

Nếu vẽ ống tròn, ống vuông, chữ I , chữ L chữ H PLYSOLID, nhanh hơn là vẽ bằng Lệnh sweep
  • 0
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Người cảnh sát điều tra hình sự giỏi là người biết được tất cả những hành vi thủ đoạn trộm cắp của bọn trộm cắp, nhưng lại dốt ăn cắp ăn trộm ...

#39 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 14 September 2014 - 10:53 PM

3D thì độ khó chỉ gấp 1.5 lần 2D thôi nhoc ơi!  :lol:  :lol:  :lol:

 

Vâng ạ!  :)  :)  Viết lisp vẽ đường ống 3D, dễ hơn "Quick code cho Haanh đây. Tìm giao của khối 3D và Line, đồng thời Trim phần Line nằm bên trong khối 3D. Lệnh: TR3D P/S: edit 12h05' - 4/11/2013" mà trước đây bác đã viết cho em ở đây:

http://www.cadviet.c...-do-vui/page-62. Em cám ơn bác nhiều nhiều nhé!

 

@@ , chị Hà anh pit nhoc chỉ làm việc trên 2d thui, mà 2d còn chưa thông hết lấy gì qua 3d ^^, nhìn acc nhoc thì pit mà mới li lv5 :), ghẹo nhoc hoài ^^ 

 

Không ghẹo đâu, em nhờ anh Nhóc viết cho em một cái lisp vẽ đường ống 3D. Nếu anh sợ khó thì "em sẽ nhiệt tình giúp đỡ anh" bằng cách ra đầu bài từ dễ đến khó để anh luyện tay nghề nhé:

Bài 1: Lisp vẽ đường ống theo path là đường 3dpoly được vẽ bất kỳ trong không gian như hình vẽ:

11837_sssa.png

 

Gõ lệnh lisp >>> Chọn đường kính ống >>> Chọn đường 3dpoly >>> ra được khối 06 cái cút + 07 đoạn ống như ảnh trên.

File: http://www.cadviet.c...new_block_1.dwg

CÚT VẼ THEO TIÊU CHUẨN ĐỨC:

11837_zfasfaa.jpg

 

Xin mời anh Nhóc, anh Hiệp, cùng các bác "Blispge" tham gia thư giãn bằng trò chơi viết lisp cho bà con dân làng Vẽ đường ống!

Trân trọng!

Em: Trần Hà Anh

 

Nói thật là mình đang luyện nên rất "ngứa ngáy" muốn viết lisp,  :D :D :D

Em cảm ơn anh Hiệp nhé!


  • 1

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#40 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 15 September 2014 - 03:45 PM

@ Chị Hà: Theo em, nếu kết quả ra được 2 found ( 1found gồm 6 cái cút + 1 found gồm 7 đoạn ống , có thể EXPLODE thành nhiều found dời dạc giống như khi sử dụng lệnh Array trên AutoCAD2012)  thao tác zoom, pan, và orbit  sẽ dễ hơn và nhanh hơn là việc để nhiều found dời dạc.
 


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...